<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "https://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.16"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>Zonzay: dlib::svm_c_linear_dcd_trainer&lt; K &gt; Class Template Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectlogo"><img alt="Logo" src="zonzay.png"/></td>
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">Zonzay
   &#160;<span id="projectnumber">1</span>
   </div>
   <div id="projectbrief">Laugh game challenge</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.16 -->
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
var searchBox = new SearchBox("searchBox", "search",false,'Search');
/* @license-end */
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
/* @license magnet:?xt=urn:btih:cf05388f2679ee054f2beb29a391d25f4e673ac3&amp;dn=gpl-2.0.txt GPL-v2 */
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
/* @license-end */</script>
<div id="main-nav"></div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div id="nav-path" class="navpath">
  <ul>
<li class="navelem"><a class="el" href="namespacedlib.html">dlib</a></li><li class="navelem"><a class="el" href="classdlib_1_1svm__c__linear__dcd__trainer.html">svm_c_linear_dcd_trainer</a></li>  </ul>
</div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Classes</a> &#124;
<a href="#pub-types">Public Types</a> &#124;
<a href="#pub-methods">Public Member Functions</a> &#124;
<a href="#pri-methods">Private Member Functions</a> &#124;
<a href="#pri-attribs">Private Attributes</a> &#124;
<a href="classdlib_1_1svm__c__linear__dcd__trainer-members.html">List of all members</a>  </div>
  <div class="headertitle">
<div class="title">dlib::svm_c_linear_dcd_trainer&lt; K &gt; Class Template Reference</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="nested-classes"></a>
Classes</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top">class &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="classdlib_1_1svm__c__linear__dcd__trainer_1_1optimizer__state.html">optimizer_state</a></td></tr>
<tr class="separator:"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-types"></a>
Public Types</h2></td></tr>
<tr class="memitem:acf4022f15ed1d9c837ed1d6519aaf3e3"><td class="memItemLeft" align="right" valign="top"><a id="acf4022f15ed1d9c837ed1d6519aaf3e3"></a>
typedef K&#160;</td><td class="memItemRight" valign="bottom"><b>kernel_type</b></td></tr>
<tr class="separator:acf4022f15ed1d9c837ed1d6519aaf3e3"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6e40ed028eff6614004f4947ff3a1afa"><td class="memItemLeft" align="right" valign="top"><a id="a6e40ed028eff6614004f4947ff3a1afa"></a>
typedef kernel_type::scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_type</b></td></tr>
<tr class="separator:a6e40ed028eff6614004f4947ff3a1afa"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aab801dee8bac19d0b327e0b3acd6a5a5"><td class="memItemLeft" align="right" valign="top"><a id="aab801dee8bac19d0b327e0b3acd6a5a5"></a>
typedef kernel_type::sample_type&#160;</td><td class="memItemRight" valign="bottom"><b>sample_type</b></td></tr>
<tr class="separator:aab801dee8bac19d0b327e0b3acd6a5a5"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab4505c5e8091e4b253ca48bfd4f1a2ee"><td class="memItemLeft" align="right" valign="top"><a id="ab4505c5e8091e4b253ca48bfd4f1a2ee"></a>
typedef kernel_type::mem_manager_type&#160;</td><td class="memItemRight" valign="bottom"><b>mem_manager_type</b></td></tr>
<tr class="separator:ab4505c5e8091e4b253ca48bfd4f1a2ee"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a757d615c07e0accbe6b276cb657e1ce1"><td class="memItemLeft" align="right" valign="top"><a id="a757d615c07e0accbe6b276cb657e1ce1"></a>
typedef <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; kernel_type &gt;&#160;</td><td class="memItemRight" valign="bottom"><b>trained_function_type</b></td></tr>
<tr class="separator:a757d615c07e0accbe6b276cb657e1ce1"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae0a919e8db4a608fb6c84501c45fc0d6"><td class="memItemLeft" align="right" valign="top"><a id="ae0a919e8db4a608fb6c84501c45fc0d6"></a>
typedef <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; K &gt;::<a class="el" href="classdlib_1_1matrix.html">sample_vector_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>sample_vector_type</b></td></tr>
<tr class="separator:ae0a919e8db4a608fb6c84501c45fc0d6"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a9f656fef2b8e44f504f608917ea012ad"><td class="memItemLeft" align="right" valign="top"><a id="a9f656fef2b8e44f504f608917ea012ad"></a>
typedef <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; K &gt;::<a class="el" href="classdlib_1_1matrix.html">scalar_vector_type</a>&#160;</td><td class="memItemRight" valign="bottom"><b>scalar_vector_type</b></td></tr>
<tr class="separator:a9f656fef2b8e44f504f608917ea012ad"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pub-methods"></a>
Public Member Functions</h2></td></tr>
<tr class="memitem:a0d33e04e238e9ccbeacb1dba4c4c0a33"><td class="memItemLeft" align="right" valign="top"><a id="a0d33e04e238e9ccbeacb1dba4c4c0a33"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>COMPILE_TIME_ASSERT</b> ((<a class="el" href="classdlib_1_1is__same__type.html">is_same_type</a>&lt; K, <a class="el" href="structdlib_1_1linear__kernel.html">linear_kernel</a>&lt; sample_type &gt; &gt;::value||<a class="el" href="classdlib_1_1is__same__type.html">is_same_type</a>&lt; K, <a class="el" href="structdlib_1_1sparse__linear__kernel.html">sparse_linear_kernel</a>&lt; sample_type &gt; &gt;::value))</td></tr>
<tr class="separator:a0d33e04e238e9ccbeacb1dba4c4c0a33"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ab38fbf6d1d733539fa9d19ddcee8f308"><td class="memItemLeft" align="right" valign="top"><a id="ab38fbf6d1d733539fa9d19ddcee8f308"></a>
&#160;</td><td class="memItemRight" valign="bottom"><b>svm_c_linear_dcd_trainer</b> (const scalar_type &amp;C_)</td></tr>
<tr class="separator:ab38fbf6d1d733539fa9d19ddcee8f308"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:aeaf797e2c477cd59233bc1e885c54c1a"><td class="memItemLeft" align="right" valign="top"><a id="aeaf797e2c477cd59233bc1e885c54c1a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>includes_bias</b> () const</td></tr>
<tr class="separator:aeaf797e2c477cd59233bc1e885c54c1a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a25b04f9dabf534569a56c24942c42e96"><td class="memItemLeft" align="right" valign="top"><a id="a25b04f9dabf534569a56c24942c42e96"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>include_bias</b> (bool should_have_bias)</td></tr>
<tr class="separator:a25b04f9dabf534569a56c24942c42e96"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6b90bfbd64650718bdf6f1a515e79a6c"><td class="memItemLeft" align="right" valign="top"><a id="a6b90bfbd64650718bdf6f1a515e79a6c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>forces_last_weight_to_1</b> () const</td></tr>
<tr class="separator:a6b90bfbd64650718bdf6f1a515e79a6c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6f0373a403bcdb8ff41cd2f415eebe35"><td class="memItemLeft" align="right" valign="top"><a id="a6f0373a403bcdb8ff41cd2f415eebe35"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>force_last_weight_to_1</b> (bool should_last_weight_be_1)</td></tr>
<tr class="separator:a6f0373a403bcdb8ff41cd2f415eebe35"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adc6f088b13a7872a0db1d1c1c2f319da"><td class="memItemLeft" align="right" valign="top"><a id="adc6f088b13a7872a0db1d1c1c2f319da"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>shrinking_enabled</b> () const</td></tr>
<tr class="separator:adc6f088b13a7872a0db1d1c1c2f319da"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a28a9ed08e0eca7d843784d721ca62644"><td class="memItemLeft" align="right" valign="top"><a id="a28a9ed08e0eca7d843784d721ca62644"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>enable_shrinking</b> (bool enabled)</td></tr>
<tr class="separator:a28a9ed08e0eca7d843784d721ca62644"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a0430bfa23490584b2ccd5d379408be66"><td class="memItemLeft" align="right" valign="top"><a id="a0430bfa23490584b2ccd5d379408be66"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_verbose</b> ()</td></tr>
<tr class="separator:a0430bfa23490584b2ccd5d379408be66"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a677e39b102dc17e7577fd1e346cdb5ff"><td class="memItemLeft" align="right" valign="top"><a id="a677e39b102dc17e7577fd1e346cdb5ff"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>be_quiet</b> ()</td></tr>
<tr class="separator:a677e39b102dc17e7577fd1e346cdb5ff"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a7b2e820728baf4a5d011d868338720d4"><td class="memItemLeft" align="right" valign="top"><a id="a7b2e820728baf4a5d011d868338720d4"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_epsilon</b> (scalar_type eps_)</td></tr>
<tr class="separator:a7b2e820728baf4a5d011d868338720d4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a59da72c33fb31e40acca3f6de01e6931"><td class="memItemLeft" align="right" valign="top"><a id="a59da72c33fb31e40acca3f6de01e6931"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_epsilon</b> () const</td></tr>
<tr class="separator:a59da72c33fb31e40acca3f6de01e6931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:af05fb6622ac54c637a71b7312dce4a7a"><td class="memItemLeft" align="right" valign="top"><a id="af05fb6622ac54c637a71b7312dce4a7a"></a>
const kernel_type &amp;&#160;</td><td class="memItemRight" valign="bottom"><b>get_kernel</b> () const</td></tr>
<tr class="separator:af05fb6622ac54c637a71b7312dce4a7a"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac9cc995e3794b36692c03458324fd01b"><td class="memItemLeft" align="right" valign="top"><a id="ac9cc995e3794b36692c03458324fd01b"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>get_max_iterations</b> () const</td></tr>
<tr class="separator:ac9cc995e3794b36692c03458324fd01b"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a38707bf2a9ffae91b76cda1f50cc687d"><td class="memItemLeft" align="right" valign="top"><a id="a38707bf2a9ffae91b76cda1f50cc687d"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_max_iterations</b> (unsigned long max_iter)</td></tr>
<tr class="separator:a38707bf2a9ffae91b76cda1f50cc687d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a3c05890a6b3ecdba8626b3b23d6049ab"><td class="memItemLeft" align="right" valign="top"><a id="a3c05890a6b3ecdba8626b3b23d6049ab"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c</b> (scalar_type C)</td></tr>
<tr class="separator:a3c05890a6b3ecdba8626b3b23d6049ab"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ae7d7d9c9f06ca240b47b94b3b2279931"><td class="memItemLeft" align="right" valign="top"><a id="ae7d7d9c9f06ca240b47b94b3b2279931"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_c_class1</b> () const</td></tr>
<tr class="separator:ae7d7d9c9f06ca240b47b94b3b2279931"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a5fdef8ecc1571ea0a82d4ece9f19c0e8"><td class="memItemLeft" align="right" valign="top"><a id="a5fdef8ecc1571ea0a82d4ece9f19c0e8"></a>
const scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>get_c_class2</b> () const</td></tr>
<tr class="separator:a5fdef8ecc1571ea0a82d4ece9f19c0e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a45de6c3fe8735f55429e9b0a30238d12"><td class="memItemLeft" align="right" valign="top"><a id="a45de6c3fe8735f55429e9b0a30238d12"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c_class1</b> (scalar_type C)</td></tr>
<tr class="separator:a45de6c3fe8735f55429e9b0a30238d12"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a617c35c4054d16551626903204f4c22c"><td class="memItemLeft" align="right" valign="top"><a id="a617c35c4054d16551626903204f4c22c"></a>
void&#160;</td><td class="memItemRight" valign="bottom"><b>set_c_class2</b> (scalar_type C)</td></tr>
<tr class="separator:a617c35c4054d16551626903204f4c22c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a36bee542932843adb829d70be5b28946"><td class="memTemplParams" colspan="2"><a id="a36bee542932843adb829d70be5b28946"></a>
template&lt;typename in_sample_vector_type , typename in_scalar_vector_type &gt; </td></tr>
<tr class="memitem:a36bee542932843adb829d70be5b28946"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; kernel_type &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>train</b> (const in_sample_vector_type &amp;x, const in_scalar_vector_type &amp;y) const</td></tr>
<tr class="separator:a36bee542932843adb829d70be5b28946"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a6cf8210caed1b6701ec36a3b10dd7666"><td class="memTemplParams" colspan="2"><a id="a6cf8210caed1b6701ec36a3b10dd7666"></a>
template&lt;typename in_sample_vector_type , typename in_scalar_vector_type &gt; </td></tr>
<tr class="memitem:a6cf8210caed1b6701ec36a3b10dd7666"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; kernel_type &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>train</b> (const in_sample_vector_type &amp;x, const in_scalar_vector_type &amp;y, <a class="el" href="classdlib_1_1svm__c__linear__dcd__trainer_1_1optimizer__state.html">optimizer_state</a> &amp;state) const</td></tr>
<tr class="separator:a6cf8210caed1b6701ec36a3b10dd7666"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-methods"></a>
Private Member Functions</h2></td></tr>
<tr class="memitem:aa1ab0f7af2e0a928eff134534fb7e441"><td class="memTemplParams" colspan="2"><a id="aa1ab0f7af2e0a928eff134534fb7e441"></a>
template&lt;typename in_sample_vector_type , typename in_scalar_vector_type &gt; </td></tr>
<tr class="memitem:aa1ab0f7af2e0a928eff134534fb7e441"><td class="memTemplItemLeft" align="right" valign="top">const <a class="el" href="structdlib_1_1decision__function.html">decision_function</a>&lt; kernel_type &gt;&#160;</td><td class="memTemplItemRight" valign="bottom"><b>do_train</b> (const in_sample_vector_type &amp;x, const in_scalar_vector_type &amp;y, <a class="el" href="classdlib_1_1svm__c__linear__dcd__trainer_1_1optimizer__state.html">optimizer_state</a> &amp;state) const</td></tr>
<tr class="separator:aa1ab0f7af2e0a928eff134534fb7e441"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ac62c1c40d1aea83335d5f8c80fff6e9d"><td class="memItemLeft" align="right" valign="top"><a id="ac62c1c40d1aea83335d5f8c80fff6e9d"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>dot</b> (const <a class="el" href="classdlib_1_1matrix.html">scalar_vector_type</a> &amp;w, const sample_type &amp;sample) const</td></tr>
<tr class="separator:ac62c1c40d1aea83335d5f8c80fff6e9d"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="pri-attribs"></a>
Private Attributes</h2></td></tr>
<tr class="memitem:a7b002007a184b8bfa21cb1552fe95370"><td class="memItemLeft" align="right" valign="top"><a id="a7b002007a184b8bfa21cb1552fe95370"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>Cpos</b></td></tr>
<tr class="separator:a7b002007a184b8bfa21cb1552fe95370"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a452542d4fed5436ea515c7b57c1d530d"><td class="memItemLeft" align="right" valign="top"><a id="a452542d4fed5436ea515c7b57c1d530d"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>Cneg</b></td></tr>
<tr class="separator:a452542d4fed5436ea515c7b57c1d530d"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a2a2c4975c6b37eca1e2d0b3fdb0dcef4"><td class="memItemLeft" align="right" valign="top"><a id="a2a2c4975c6b37eca1e2d0b3fdb0dcef4"></a>
scalar_type&#160;</td><td class="memItemRight" valign="bottom"><b>eps</b></td></tr>
<tr class="separator:a2a2c4975c6b37eca1e2d0b3fdb0dcef4"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a60470153cfcce35ee02c69d6fd379cc7"><td class="memItemLeft" align="right" valign="top"><a id="a60470153cfcce35ee02c69d6fd379cc7"></a>
unsigned long&#160;</td><td class="memItemRight" valign="bottom"><b>max_iterations</b></td></tr>
<tr class="separator:a60470153cfcce35ee02c69d6fd379cc7"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a84a2f726d7fae76ada9a88f5c2d6eea2"><td class="memItemLeft" align="right" valign="top"><a id="a84a2f726d7fae76ada9a88f5c2d6eea2"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>verbose</b></td></tr>
<tr class="separator:a84a2f726d7fae76ada9a88f5c2d6eea2"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:adcd96e2cc8925a610accaae45e086612"><td class="memItemLeft" align="right" valign="top"><a id="adcd96e2cc8925a610accaae45e086612"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>have_bias</b></td></tr>
<tr class="separator:adcd96e2cc8925a610accaae45e086612"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a583b56c92b8d317cc99c6ee27a99b00c"><td class="memItemLeft" align="right" valign="top"><a id="a583b56c92b8d317cc99c6ee27a99b00c"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>last_weight_1</b></td></tr>
<tr class="separator:a583b56c92b8d317cc99c6ee27a99b00c"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:a55e3970b30fe68badc3b56c555e6b02a"><td class="memItemLeft" align="right" valign="top"><a id="a55e3970b30fe68badc3b56c555e6b02a"></a>
bool&#160;</td><td class="memItemRight" valign="bottom"><b>do_shrinking</b></td></tr>
<tr class="separator:a55e3970b30fe68badc3b56c555e6b02a"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<hr/>The documentation for this class was generated from the following file:<ul>
<li><a class="el" href="svm__c__linear__dcd__trainer_8h_source.html">svm_c_linear_dcd_trainer.h</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.16
</small></address>
</body>
</html>
